##' Function to produce traceplots
##' @title Function to produce traceplots
##' @param x A vector of estimate of the parameter from MCMC, of length T (iterations)
##' @param name The name of the parameter
##' @return A traceplot in png format saved in the working directory

##' @export
##' @examples
##' \dontrun{
##' beta <- MCMC.out[['Beta']][1,]
##' name <- expression(beta)
##' Traceplot(x=beta,name=name)
##' }

Traceplot <- function(x, name) {
  png("Traceplot.png")
  plot(x,xlab='iteration',type='l',ylab='',main=name, col="lightblue")  
  dev.off()
}

