% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Initialize.R
\name{Initialize}
\alias{Initialize}
\title{Function to initialize MCMC chain}
\usage{
Initialize(Data.list, X.list, lambda.mean = 0, lambda.var = 10,
  eta.mean = 0, eta.var = 10, m.mean = 0, m.var = 10, seed = 12345)
}
\arguments{
\item{Data.list}{A list of K elements, where K is the number of studies, 
each element is a RNAseq data matrix with G rows and N columns, 
where G is number of genes and N is the sample size. 
Genes are matched across all studies.}

\item{X.list}{A list of K elements, each element includes is a phenotypic
condition of the corresponding samples, with case=1, control=0}

\item{lambda.mean}{A hyperparameter}

\item{lambda.var}{A hyperparameter}

\item{eta.mean}{A hyperparameter}

\item{eta.var}{A hyperparameter}

\item{m.mean}{A hyperparameter}

\item{m.var}{A hyperparameter}

\item{seed}{An initial seed for random number generator.}
}
\value{
A list of initial values for each parameter
}
\description{
Function to initialize MCMC chain
}
\examples{
\dontrun{
data(test.data)
data(test.label)
Data.list <- test.data
X.list <- test.label
G <- nrow(Data.list[[1]])
K <- length(Data.list)
lambda.mean<-0
lambda.var<- 10
eta.mean<- 0
eta.var<- 10 
m.mean<- 0
m.var<- 10
init <- Initialize(Data.list=Data.list,X.list=X.list,
          lambda.mean=lambda.mean,lambda.var=lambda.var,
          eta.mean=eta.mean,eta.var=eta.var,
          m.mean=m.mean,m.var=m.var,seed=12345)
}
}

