% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Store.R
\name{Store}
\alias{Store}
\title{Function to produce empty matrices to store MCMC results}
\usage{
Store(Data.list, iteration)
}
\arguments{
\item{Data.list}{A list of K elements, where K is the number of studies, 
each element is an RNAseq data matrix with G rows and N 
columns, where G is number of genes and N is the sample size.
Genes are matched across all studies.}

\item{iteration}{The number of MCMC chains wish to run}
}
\value{
A list of empty store matrices for each parameter
}
\description{
Function to produce empty matrices to store MCMC results.
}
\examples{
\dontrun{
iteration <- 2000
burnin <- 500
store <-Store(Data.list=Data.list, iteration=iteration) 
}
}

